From 5e538b58cd1a3888ce0f53281c8606820fcf2fae Mon Sep 17 00:00:00 2001
From: Oliver Sander <sander@igpm.rwth-aachen.de>
Date: Tue, 28 Aug 2007 15:27:40 +0000
Subject: [PATCH] test suite for the Dirichlet-Neumann solver.  Initial commit

[[Imported from SVN: r1621]]
---
 dirneu_testsuite/testsuite.sh | 115 ++++++++++++++++++++++++++++++++++
 1 file changed, 115 insertions(+)
 create mode 100755 dirneu_testsuite/testsuite.sh

diff --git a/dirneu_testsuite/testsuite.sh b/dirneu_testsuite/testsuite.sh
new file mode 100755
index 00000000..21c6aad0
--- /dev/null
+++ b/dirneu_testsuite/testsuite.sh
@@ -0,0 +1,115 @@
+#!/bin/bash
+
+set -e
+
+
+runComputation(){
+
+RESULTPATH=`pwd`/$1/
+PARAMETERFILE=${RESULTPATH}${1}".parset"
+LOGFILE=${RESULTPATH}${1}".log"
+
+#echo $RESULTPATH
+
+# Set up directory where to store the results
+if ! test -d "$RESULTPATH"; then
+    mkdir $RESULTPATH
+fi
+#rm $RESULTPATH/*
+
+cat > "${PARAMETERFILE}" <<EOF
+# Number of grid levels
+numLevels = $2
+
+# Tolerance of the Dirichlet-Neumann solver
+ddTolerance = 1e-12
+
+# Max number of Dirichlet-Neumann steps
+maxDirichletNeumannSteps = 50
+
+# Damping for the Dirichlet-Neumann solver
+damping = $3
+
+# Tolerance of the trust-region solver for the rod problem
+trTolerance = 1e-12
+
+# Max number of steps of the trust region solver
+maxTrustRegionSteps = 20
+
+# Initial trust-region radius
+initialTrustRegionRadius = 1
+
+# Number of multigrid iterations per trust-region step
+numIt = 30
+
+# Number of presmoothing steps
+nu1 = 3
+
+# Number of postsmoothing steps
+nu2 = 3
+
+# Number of coarse grid corrections
+mu = 1
+
+# Number of base solver iterations
+baseIt = 100
+
+# Tolerance of the multigrid solver
+mgTolerance = 1e-13
+
+# Tolerance of the base grid solver
+baseTolerance = 1e-8
+
+# Measure convergence
+instrumented = 1
+
+############################
+#   Problem specifications
+############################
+
+path = /home/haile/sander/data/multicoupling/simplecoupling/
+gridFile = hexarod.grid
+dirichletNodes = hexarod.dn
+dirichletValues = hexarod.nodv
+interfaceNodes  = hexarod.ifn
+
+# Number of elements of the rod grid
+numRodBaseElements = 5
+
+# Dirichlet values
+dirichletValueX = 0.5
+dirichletValueY = 0.6
+dirichletValueZ = 10
+
+dirichletAxisX = 1
+dirichletAxisY = 0
+dirichletAxisZ = 0
+dirichletAngle = 0
+
+# Where to write the results
+resultPath = $RESULTPATH
+
+EOF
+
+# run simulation
+../dirneucoupling ${PARAMETERFILE} | tee ${LOGFILE}
+}
+
+# Parameters:
+# 1: result directory
+# 2: number of levels
+# 3: damping factor
+
+# run problems
+#runComputation 2levels 2
+
+
+for level in 2; do
+   
+    for damping in 0.02; do
+
+        runComputation 2levels $level $damping
+
+    done
+
+done
\ No newline at end of file
-- 
GitLab